/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.internal.navigator;

import org.conqat.ide.commons.ui.logging.LoggingUtils;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;
import org.fortiss.tooling.kernel.ToolingKernelActivator;
import org.unicase.ecp.model.ECPWorkspaceManager;
import org.unicase.ecp.model.NoWorkspaceException;
import org.unicase.ecp.model.workSpaceModel.ECPWorkspace;

/**
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public final class NavigatorViewPart extends ViewPart {

	/** Stores the TreeViewer. */
	private TreeViewer viewer;

	/** Stores the EmfStore workspace. */
	private ECPWorkspace workspace;

	/** Constructor. */
	public NavigatorViewPart() {
		try {
			workspace = ECPWorkspaceManager.getInstance().getWorkSpace();
		} catch (NoWorkspaceException e) {
			LoggingUtils.log(ToolingKernelActivator.getDefault(),
					e.getMessage(), IStatus.ERROR, e);
			return;
		}
	}

	/** {@inheritDoc} */
	@Override
	public void createPartControl(Composite parent) {
		// TODO Auto-generated method stub

	}

	/** {@inheritDoc} */
	@Override
	public void setFocus() {
		// TODO Auto-generated method stub

	}

}
